According to this...

https://blurbusters.com/gsync/supported-graphics-cards/

You need a Pascal (1080 series) or greater for G-Sync to work with AMD FreeSync, leaves me out.